<?php
/**
 * Custom styling for external embeds.
 */

add_action( 'embed_head', 'linework_embed_head' );
function linework_embed_head() {
	$light = sanitize_hex_color( get_theme_mod( 'lw_backgroundcolor', '#fffcf7' ) );
	$dark = sanitize_hex_color( get_theme_mod( 'linework_color', '#20a' ) );
?>
<style type="text/css">
	/* Linework Theme Styles for External Embeds */
	.wp-embed {
		padding: 23px;
		font-size: 16px;
		color: <?php echo $dark; ?>;
		font-weight: 200;
		background: <?php echo $light; ?>;
		border: 1px solid <?php echo $dark; ?>;
	}

	.wp-embed .wp-embed-heading a,
	.wp-embed a,
	.wp-embed .wp-embed-more {
		color: <?php echo $dark; ?>;
	}

	.wp-embed .wp-embed-more {
		text-decoration: underline;
	}

	.wp-embed .wp-embed-more:hover,
	.wp-embed .wp-embed-more:focus {
		opacity: .7;
		text-decoration: none;
	}

	.wp-embed-footer {
		margin-top: 24px;
	}

	.wp-embed-featured-image {
		margin-bottom: 16px;
	}
</style>
<?php
}
